summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2016-08-11 23:31:33 -0400
committerNP-Hardass <NP-Hardass@gentoo.org>2016-08-12 01:12:27 -0400
commit73a18904e536b37e5f3cb68f4d3e09664c32db59 (patch)
treeb1e7b8d8cc94dbaa0e611755706d193b1579fee5 /mate-extra/mate-power-manager
parentmate-extra/mate-media: 1.12.x vbump, add gtk3 support, import from project repo (diff)
downloadgentoo-73a18904e536b37e5f3cb68f4d3e09664c32db59.tar.gz
gentoo-73a18904e536b37e5f3cb68f4d3e09664c32db59.tar.bz2
gentoo-73a18904e536b37e5f3cb68f4d3e09664c32db59.zip
mate-extra/mate-power-manager: 1.12.x vbump, add gtk3, import from project repo
Package-Manager: portage-2.3.0
Diffstat (limited to 'mate-extra/mate-power-manager')
-rw-r--r--mate-extra/mate-power-manager/Manifest1
-rw-r--r--mate-extra/mate-power-manager/mate-power-manager-1.12.1-r1.ebuild90
-rw-r--r--mate-extra/mate-power-manager/metadata.xml4
3 files changed, 95 insertions, 0 deletions
diff --git a/mate-extra/mate-power-manager/Manifest b/mate-extra/mate-power-manager/Manifest
index 16bf560f6b8..1941ae82e1e 100644
--- a/mate-extra/mate-power-manager/Manifest
+++ b/mate-extra/mate-power-manager/Manifest
@@ -1 +1,2 @@
DIST mate-power-manager-1.10.2.tar.xz 3350616 SHA256 49eed514cb8507d3ae7699e701afb33a90002aa833bdc507f9ac0dd031ce04de SHA512 133745446536d21102ed318d2809209e46dcef7dd312219d9b716f7785cbcd5a47d477643e1c15dd6672d088640a583a63819b394dc96e4a3437affdbc389ae7 WHIRLPOOL c250220933ba0d13e7b7377072f5e503b33af5d2245812b6c562885310737039dbed34f23918be0f82332e2eb75533285d736c46a787be26403b6fac22039791
+DIST mate-power-manager-1.12.1.tar.xz 3197824 SHA256 c43aa2ae75335a758d71cdab4b939141c352a7fb179c3e41a064ce9c007b587f SHA512 60da8ab6988a4bbef363fcf4571260bc7f70ed90badf85e4233e6ed80cfc13446319bd8686ed6d4bf9752971a6f98021a5d0354e3aa7f9274b6fdbc8f9f920b4 WHIRLPOOL de61b88835ffc9bc5f861dcc1c05726f331735ae430a71ce126fcb3553ea307e5d9163c226c16a39d1781d60d67b46d0d39c255c4a620782346e4d39e051639a
diff --git a/mate-extra/mate-power-manager/mate-power-manager-1.12.1-r1.ebuild b/mate-extra/mate-power-manager/mate-power-manager-1.12.1-r1.ebuild
new file mode 100644
index 00000000000..ded161ed98f
--- /dev/null
+++ b/mate-extra/mate-power-manager/mate-power-manager-1.12.1-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="A session daemon for MATE that makes it easy to manage your laptop or desktop"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="+applet gnome-keyring gtk3 man pm-utils policykit test"
+
+# Interactive testsuite.
+RESTRICT="test"
+
+COMMON_DEPEND="app-text/rarian:0
+ >=dev-libs/dbus-glib-0.70:0
+ >=dev-libs/glib-2.36:2
+ >=mate-base/mate-desktop-1.9[gtk3(-)=]
+ >=sys-apps/dbus-1:0
+ >=x11-apps/xrandr-1.3:0
+ >=x11-libs/cairo-1:0
+ >=x11-libs/gdk-pixbuf-2.11:2
+ x11-libs/libX11:0
+ x11-libs/libXext:0
+ x11-libs/libXrandr:0
+ >=x11-libs/libnotify-0.7:0
+ x11-libs/pango:0
+ applet? ( >=mate-base/mate-panel-1.6[gtk3(-)=] )
+ gnome-keyring? ( >=gnome-base/libgnome-keyring-3:0 )
+ !gtk3? (
+ >=dev-libs/libunique-1:1
+ >=media-libs/libcanberra-0.10:0[gtk]
+ >=x11-libs/gtk+-2.24:2
+ )
+ gtk3? (
+ >=dev-libs/libunique-3:3
+ >=media-libs/libcanberra-0.10:0[gtk3]
+ >=x11-libs/gtk+-3.0:3
+ )
+ pm-utils? ( >=sys-power/upower-pm-utils-0.9.23 )
+ !pm-utils? ( >=sys-power/upower-0.9.23:= )"
+
+RDEPEND="${COMMON_DEPEND}
+ policykit? ( >=mate-extra/mate-polkit-1.6[gtk3(-)=] )"
+
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.3
+ >=app-text/scrollkeeper-dtd-1:1.0
+ app-text/yelp-tools:0
+ >=dev-util/intltool-0.50.1:*
+ x11-proto/randrproto:0
+ >=x11-proto/xproto-7.0.15:0
+ sys-devel/gettext:*
+ virtual/pkgconfig:*
+ man? ( app-text/docbook-sgml-utils:0
+ >=app-text/docbook-sgml-dtd-4.3 )"
+
+src_prepare() {
+ mate_src_prepare
+
+ # This needs to be after eautoreconf to prevent problems like bug #356277
+ # Remove the docbook2man rules here since it's not handled by a proper
+ # parameter in configure.in.
+ if ! use man; then
+ sed -e 's:@HAVE_DOCBOOK2MAN_TRUE@.*::' -i man/Makefile.in \
+ || die "docbook sed failed"
+ fi
+}
+
+src_configure() {
+ mate_src_configure \
+ --enable-compile-warnings=minimum \
+ --with-gtk=$(usex gtk3 3.0 2.0) \
+ $(use_with gnome-keyring keyring) \
+ $(use_enable applet applets) \
+ $(use_enable test tests)
+}
+
+src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS
+
+ dbus-launch Xemake check || die "Test phase failed"
+}
diff --git a/mate-extra/mate-power-manager/metadata.xml b/mate-extra/mate-power-manager/metadata.xml
index 7c4818f7748..bd6615a22e2 100644
--- a/mate-extra/mate-power-manager/metadata.xml
+++ b/mate-extra/mate-power-manager/metadata.xml
@@ -7,7 +7,11 @@
</maintainer>
<use>
<flag name="applet">Enable building of the MATE applet.</flag>
+ <flag name="gtk3">Build with GTK+3 instead of GTK+2</flag>
<flag name="man">Build power manager's man page.</flag>
+ <flag name="pm-utils">Adds support for suspend/resume using
+ <pkg>sys-power/upower-pm-utils</pkg> instead of
+ <pkg>sys-power/upower</pkg></flag>
<flag name="unique">Enable single instance support using
<pkg>dev-libs/libunique</pkg>.</flag>
</use>